net.snowflake.client.util

## Class SFPair<L,R>

- java.lang.Object
- - net.snowflake.client.util.SFPair<L,R>

    public class SFPair<L,R>
    extends Object

Created by hyu on 2/1/18.

### Field Summary

Fields
`L` `left`
`R` `right`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`int` `hashCode()`
`static <L,R> SFPair<L,R>` `of(L l, R r)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### left

    public L left

#### right

    public R right

### Method Detail

#### of

    public static <L,R> SFPair<L,R> of(L l,
                                       R r)

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`